local _, iLFRD = ...
local function setBosses(dungeonID)
	local bosses = 'error: no data found'
	if iLFRD.encounters[dungeonID] then
		bosses = ''
		for k,v in ipairs(iLFRD.encounters[dungeonID]) do
			local saved = select(3, GetLFGDungeonEncounterInfo(dungeonID, v.encounterOrderInInstance))
			bosses = bosses .. (saved and '\124cffFF1919' or '') .. EJ_GetEncounterInfo(v.encounterID) .. '\124r\n'
		end
	end
	RaidFinderQueueFrameScrollFrameChildFrameDescription:SetText(bosses)
end
hooksecurefunc('RaidFinderQueueFrame_SetRaid', setBosses)

local function onShow()
	C_Timer.After(0.05, function()
		setBosses(RaidFinderQueueFrameSelectionDropDown.selectedValue)
	end)
	
end
RaidFinderQueueFrameSelectionDropDown:HookScript('OnShow', onShow)